﻿#language: ru

Функционал: 02_milk_production. Заполнение справочника учетных точек и кнопок учетных точек

Сценарий: 02_milk_production. Создание учетной точки Посолка
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Посолка'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск сыра'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'				|
		| 'Оперативный учет на рабочем центре'	|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать пакеты'
	И я устанавливаю флаг 'Печатать этикетку партии'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 				|
		| 'milk_prod_Бассейн соления'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе контейнеров'
	И я нажимаю кнопку выбора у поля 'Характеристика выпуска'
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "Склады для выбора"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    			  |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Весы"
	И я устанавливаю флаг 'Использовать'
	И в таблице "ПодключаемыеВесы" я нажимаю на кнопку с именем 'ПодключаемыеВесыДобавить'
	И в таблице "ПодключаемыеВесы" я нажимаю кнопку выбора у реквизита с именем "ПодключаемыеВесыВесы"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                             |
		| 'Экземпляр подключаемых весов' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Подключаемые весы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Экземпляр подключаемых весов (создание)'
	И в поле 'Наименование' я ввожу текст 'Весы'
	И из выпадающего списка "Драйвер" я выбираю точное значение 'ScalesMassaK'
	И из выпадающего списка "Тип связи" я выбираю точное значение 'TCP/IP'
	И в поле 'Адрес' я ввожу текст '654161'
	И в поле 'Номер порта' я ввожу текст '1'
	И в поле 'Граница нового взвешивания' я ввожу текст '0,200'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Экземпляр подключаемых весов (создание)' в течение 20 секунд
	Тогда открылось окно 'Подключаемые весы'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И в таблице "ПодключаемыеВесы" в поле 'Представление' я ввожу текст 'Весы'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Посолка (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск на таре материала'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И я устанавливаю флаг 'Разрешить выпуск побочной продукции'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'
	И я нажимаю кнопку выбора у поля 'Типы тары'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Китаянка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Выпускать на таре материала'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    			|
		| 'milk_prod_Бассейн соления 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Посолка (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск на тару с комплектацией'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Комплектация тары'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'
	И я нажимаю кнопку выбора у поля "Типы тары"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Китаянка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Использовать калькулятор тары'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     			|
		| 'milk_prod_Бассейн соления 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Посолка (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск на тару без комплектации'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'
	И я нажимаю кнопку выбора у поля "Типы тары"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Китаянка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      			|
		| 'milk_prod_Бассейн соления 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Посолка (Учетные точки)'
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Создание учетной точки Перемещений между складами без перевзвешивания
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'milk_prod_Перемещения'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'milk_prod_Перемещения (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение между камерами'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Перемещение'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        		  |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Перемещения (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Перемещение россыпи'
	И я нажимаю кнопку выбора у поля с именем "ПредставлениеОбработки"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке с именем "СтраницаНастройки"
	И я устанавливаю флаг с именем 'н_СоздаватьПеремещение'
	И я устанавливаю флаг с именем 'н_ПеремещениеСоВзвешиванием'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Перемещения (Учетные точки)'
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Создание учетной точки Выпуск на рамы
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Выпуск на рамы'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск сыра'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать пакеты'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 				|
		| 'milk_prod_Бассейн соления'	|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'На созревании'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'	
	И я нажимаю кнопку выбора у поля 'Типы тары'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Рама' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'milk_prod_Выпуск на рамы (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Учетные точки'
	И я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Создание учетной точки Сырцех
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Сырцех'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Варки сыра'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Выпуск'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'		 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склады для выбора"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'milk_prod_Бассейн соления' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Варка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'	
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск смеси'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Скорость прокрутки' я ввожу текст '1'
	И я нажимаю на кнопку "Записать"
	И я перехожу к закладке "Кнопки"
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Полное списание основного материала'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Все остатки'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Расчет ингредиентов от смеси'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать расход ингредиентов'
	И я устанавливаю флаг 'Указывать основной материал'
	И я устанавливаю флаг 'Расход ингредиентов'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я устанавливаю флаг 'Пересчитывать норму ингредиентов по основному материалу'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Списание материала по выпуску'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, материал  из спецификации'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловСерии" я выбираю точное значение 'По ФЕФО'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск на тару с комплектацией'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Комплектация тары'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'
	И я нажимаю кнопку выбора у поля "Типы тары"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Китаянка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Использовать калькулятор тары'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'milk_prod_Бассейн соления 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск на тару'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'
	И я нажимаю кнопку выбора у поля "Типы тары"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Китаянка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'milk_prod_Бассейн соления 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск сыворотки'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Выпуск сыворотки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сушка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Разрешить несколько выпусков по одному заданию'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Использование нескольких партий сырья'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать несколько серий материалов'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловСерии" я выбираю точное значение 'Пропорционально остаткам'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я устанавливаю флаг 'Выпуск'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я перехожу к строке:
		| 'Наименование'       | 'Представление обработки' |
		| 'Выпуск сыворотки'   | 'Работа с заданиями'      |
	И я выбираю пункт контекстного меню с именем 'СписокКнопкиКонтекстноеМенюСкопировать' на элементе формы с именем "СписокКнопки"
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск сыворотки с упак.листом'
	И я устанавливаю флаг 'Упаковочный лист'
	И я нажимаю кнопку выбора у поля "Тип тары"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Паллета'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Макет (Упаковочный лист)" я выбираю точное значение 'Упаковочный лист'
	И элемент формы "Разрешить несколько выпусков по одному заданию" стал равен 'Да'
	И элемент формы "Выпуск несколькими документами" стал равен 'Да'
	И я жду недоступности элемента "Выпуск несколькими документами" в течение 5 секунд
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Создание учетной точки Переупаковка
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Переупаковка сыра'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'milk_prod_Переупаковка сы* (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Переупаковка созревающего'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Комплектация тары'
	И я устанавливаю флаг 'Указывать пакеты'
	И я устанавливаю флаг 'Переупаковка'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'
	И я нажимаю кнопку выбора у поля "Типы тары"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Китаянка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Переупаковка сы* (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Переупаковка контейнера'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Комплектация тары'
	И я устанавливаю флаг 'Переупаковка'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе контейнеров'
	И я изменяю флаг 'Указывать пакеты'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Переупаковка сы* (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Переупаковка сы* (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий:  02_milk_production. Создание учетной точки Учет ингредиентов
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Учет ингредиентов'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать расход ингредиентов'
	И я устанавливаю флаг 'Расход ингредиентов'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Сырцех (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Сырцех (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Создание учетной точки В бассейн на рамы
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'milk_prod_В бассейн на рамы'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Варки сыра'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Выпуск'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'		 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'milk_prod_Бассейн соления' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Варка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Разрешить несколько выпусков по одному заданию'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'
	И я нажимаю кнопку выбора у поля 'Типы тары'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'milk_prod_Рама' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'milk_prod_В бассейн на ра* (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Учетные точки'
	И я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Создание учетной точки Выпуск смеси
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'	
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле "Наименование" я ввожу текст "milk_prod_ПАЦ"
	И я нажимаю на кнопку "Записать"
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск смеси'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Разрешить несколько выпусков по одному заданию'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_ПАЦ (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_ПАЦ (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Создание учетной точки на сливки
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'milk_prod_Маслоцех'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'milk_prod_Маслоцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Нормализация сливок'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_норма'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Маслоцех (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Маслоцех (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Создание учетной точки на масло
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Маслоцех'     |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Маслоцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск масла'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И из выпадающего списка "Рабочий центр" я выбираю по строке 'milk_prod_масло'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Маслоцех (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_prod_Маслоцех (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 02_milk_production. Создание кнопки для перемещений между упаковкой и камерами созревания
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Перемещения'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Перемещения (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'С упаковки на созревание'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Перемещение'
	И я устанавливаю флаг 'Со взвешиванием'
	И я устанавливаю флаг с именем 'н_СоздаватьКомплектациюТары'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе тары'
	И я нажимаю кнопку выбора у поля "Типы тары"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Рама'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'milk_prod_Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Перемещения (Учетные точки)'
	И Я закрываю окно 'milk_prod_Перемещения (Учетные точки)'
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'